Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 131)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 135)
@@ -21,5 +21,5 @@
 	<!-- ADDED 07/02-2011 -->
 	<!-- Header -->
-	<xsd:complexType name="header">
+	<xsd:complexType name="reportHeader">
 		<xsd:annotation>
 			<xsd:documentation>Information about this report.</xsd:documentation>
@@ -33,5 +33,5 @@
 						</xsd:annotation>
 					</xsd:element>
-					<xsd:element name="reportNo" type="witsml:nonNegativeCount" minOccurs="0" maxOccurs="1">
+					<xsd:element name="reportNo" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
 						<xsd:annotation>
 							<xsd:documentation>Sequence number of daily drilling report.</xsd:documentation>
@@ -74,10 +74,10 @@
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="f" data="Fixed Rig">
+			<xsd:enumeration value="Fixed rig">
 				<xsd:annotation>
 					<xsd:documentation>Fixed rig</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="m">
+			<xsd:enumeration value="Movable rig">
 				<xsd:annotation>
 					<xsd:documentation>Movable rig</xsd:documentation>
@@ -140,20 +140,14 @@
 
 			<!-- Added 07/02 - 2011 -->
-			<xsd:complexContent>
-				<xsd:extension base="abs:abstractObject">
-					<xsd:sequence>
-						<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-							<xsd:annotation>
-								<xsd:documentation>Meassured depth at start of the activity (m).</xsd:documentation>
-							</xsd:annotation>
-						</xsd:element>
-						<xsd:element name="mdHoleEnd" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-							<xsd:annotation>
-								<xsd:documentation>Meassured depth at end of the activity (m).</xsd:documentation>
-							</xsd:annotation>
-						</xsd:element>
-					</xsd:sequence>
-				</xsd:extension>
-			</xsd:complexContent>
+			<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Meassured depth at start of the activity (m).</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="mdHoleEnd" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Meassured depth at end of the activity (m).</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 			<!-- END Added 07/02 - 2011 -->
 
@@ -236,4 +230,10 @@
 		</xsd:annotation>
 		<xsd:sequence>
+			<xsd:element name="diaBit" type="witsml:lengthMeasureInch" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831442">
+				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaBit.-->
+				<xsd:annotation>
+					<xsd:documentation>Diameter of drilled hole.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 			<xsd:element name="numBit" type="witsml:str32" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831262">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element numBit.-->
@@ -242,158 +242,22 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="diaBit" type="witsml:lengthMeasureInch" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831442">
-				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaBit.-->
-				<xsd:annotation>
-					<xsd:documentation>Diameter of drilled hole.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
 			<!--PROFILE: Deleted element diaPassThru.-->
 			<!--PROFILE: Deleted element diaPilot.-->
-			<xsd:element name="manufacturer" type="witsml:nameString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831532">
-				<!--PROFILE: Changed minOccurs from 0 to 1 for element manufacturer.-->
-				<xsd:annotation>
-					<xsd:documentation>Manufacturer / supplier of the item.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
+			<!--PROFILE: Deleted element manufacturer.-->
 			<!--PROFILE: Deleted element typeBit.-->
 			<!--PROFILE: Deleted element cost.-->
-			<xsd:element name="codeMfg" type="witsml:str32" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831487">
-				<!--PROFILE: Changed minOccurs from 0 to 1 for element codeMfg.-->
-				<xsd:annotation>
-					<xsd:documentation>The manufacturers code for the bit.</xsd:documentation>
+			<xsd:element name="codeMfg" type="witsml:str32" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The manufacturers code for the bit</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-33, Change=Added</xsd:appinfo>
-				</xsd:annotation>
-			</xsd:element>
-			<!-- Added 07/02 - 2011 -->
-			<xsd:element name="serialNo" type="witsml:uidString" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>UiD for a bit</xsd:documentation>
-					<!-- Missing: Added element serialNo -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="tfa" type="witsml:areaMeasureSquareInch" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Total flow area for bit (in2)</xsd:documentation>
-					<!-- Missing: Added element tfa -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="dTimIn" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Start date and time of drill bit run.</xsd:documentation>
-					<!-- Missing: Added element dTimIn -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="dTimOut" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>End date and time of drill bit run.</xsd:documentation>
-					<!-- Missing: Added element dTimOut -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="hrsDrilled" type="witsml:timeMeasureHrs" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Hourse drilled in reporting period (hrs).</xsd:documentation>
-					<!-- Missing: Added element hrsDrilled -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at start of drill bit run (MD).</xsd:documentation>
-					<!-- Missing: Added element mdHoleStart -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdHoleEnd" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at end of drill bit run (MD).</xsd:documentation>
-					<!-- Missing: Added element mdHoldeEnd -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="dullGrade" type="witsml:dullGrade_CHECK" minOccurs="0" maxOccurs="1">
+					<!-- Missing: Added element dullGrade -->
+				</xsd:annotation>
+			</xsd:element>
+			<!--PROFILE: Deleted element serialNo.
+			Missing: Added element serialNo-->
+			<xsd:element name="dullGrade" type="witsml:str32" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Dull grade according to IADC?</xsd:documentation>
 					<!-- Missing: Added element dullGrade -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxWob" type="witsml:volumeMeasureCubicDeciMetre" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum weight of bit in reporting period (m3).</xsd:documentation>
-					<!-- Missing: Added element maxWob -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxRpm" type="witsml:anglePerTimeMeasureRpm" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum rotational speed in reporting period (rpm).</xsd:documentation>
-					<!-- Missing: Added element maxRpm -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxCircRate" type="witsml:volumeFlowRateMeasureCubicMeterPerMin" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>MAximum drilling fluid circulation rate in reporting period (m3/min).</xsd:documentation>
-					<!-- Missing: Added element maxCircRate -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxSpp" type="witsml:pressureMeasureBar" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum standpipe pressure in reporting period (bar).</xsd:documentation>
-					<!-- Missing: Added element maxSpp -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdHoleMadeRun" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Meassured depth drilled during drill run (md).</xsd:documentation>
-					<!-- Missing: Added element mdHoleMadeRun -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="hrsDrilledRun" type="witsml:timeMeasureHrs" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Hours drilled in drill run (hrs).</xsd:documentation>
-					<!-- Missing: Added element mdHrsDrilledRun -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="rop" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Drill bit rate of penetration for reporting period (m/h).</xsd:documentation>
-					<!-- Missing: Added element rop -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxTotWob" type="witsml:volumeMeasureCubicDeciMetre" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum weight of bit in drill run (m3).</xsd:documentation>
-					<!-- Missing: Added element maxTotWob -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxTotRpm" type="witsml:anglePerTimeMeasureRpm" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum rotational speed in drill run (rpm).</xsd:documentation>
-					<!-- Missing: Added element maxTotRpm -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxTotCircRate" type="witsml:volumeFlowRateMeasureCubicMeterPerMin" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum drilling fluid circulation rate in drill run (m3/min).</xsd:documentation>
-					<!-- Missing: Added element maxTotCircRate -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="maxTotSpp" type="witsml:pressureMeasureBar" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Maximum standpipe pressure in drill run (bar).</xsd:documentation>
-					<!-- Missing: Added element maxTotSpp -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdTotHoleMade" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Meassured depth drilled accumulated (md).</xsd:documentation>
-					<!-- Missing: Added element mdTotHoleMade -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="totHrsDrilled" type="witsml:timeMeasureHrs" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Hours drilled in accumulated (hrs).</xsd:documentation>
-					<!-- Missing: Added element totHrsDrilled -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="totRop" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Drill bit rate of penetration for drill run (m/h).</xsd:documentation>
-					<!-- Missing: Added element totRop -->
 				</xsd:annotation>
 			</xsd:element>
@@ -421,4 +285,9 @@
 			<!--PROFILE: Deleted element extensionAny.-->
 			<!--PROFILE: Deleted element extensionNameValue.-->
+			<xsd:element name="bitRun" type="witsml:cs_drillingParams">
+				<xsd:annotation>
+					<xsd:documentation>information about a bit run.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 		</xsd:sequence>
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
@@ -431,4 +300,111 @@
 	</xsd:complexType>
 
+	<!-- Added 22/02 - 2011 -->
+	<xsd:complexType name="cs_drillingParams">
+		<xsd:annotation>
+			<xsd:documentation>WITSML - Bottom hole assembly drilling parameters component schema</xsd:documentation>
+		</xsd:annotation>
+		<xsd:sequence>
+			<xsd:element name="eTimOpBit" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Operating time spent by bit for run.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth at start.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="mdHoleStop" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth at stop.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!--PROFILE: Deleted element tubular.-->
+			<!--PROFILE: Deleted element hkldRot.-->
+			<!--PROFILE: Deleted element overPull.-->
+			<!--PROFILE: Deleted element slackOff.-->
+			<!--PROFILE: Deleted element hkldUp.-->
+			<!--PROFILE: Deleted element hkldDn.-->
+			<!--PROFILE: Deleted element tqOnBotAv.-->
+			<!--PROFILE: Deleted element tqOnBotMx.-->
+			<!--PROFILE: Deleted element tqOnBotMn.-->
+			<!--PROFILE: Deleted element tqOffBotAv.-->
+			<!--PROFILE: Deleted element tqDhAv.-->
+			<!--PROFILE: Deleted element wtAboveJar.-->
+			<!--PROFILE: Deleted element wtBelowJar.-->
+			<!--PROFILE: Deleted element wtMud.-->
+			<!--PROFILE: Deleted element flowratePump.-->
+			<!--PROFILE: Deleted element powBit.-->
+			<!--PROFILE: Deleted element velNozzleAv.-->
+			<!--PROFILE: Deleted element presDropBit.-->
+			<!--PROFILE: Deleted element cTimHold.-->
+			<!--PROFILE: Deleted element cTimSteering.-->
+			<!--PROFILE: Deleted element cTimDrillRot.-->
+			<!--PROFILE: Deleted element cTimDrillSlid.-->
+			<!--PROFILE: Deleted element cTimCirc.-->
+			<!--PROFILE: Deleted element cTimReam.-->
+			<!--PROFILE: Deleted element distDrillRot.-->
+			<!--PROFILE: Deleted element distDrillSlid.-->
+			<!--PROFILE: Deleted element distReam.-->
+			<!--PROFILE: Deleted element distHold.-->
+			<!--PROFILE: Deleted element distSteering.-->
+			<!--PROFILE: Deleted element rpmAv.-->
+			<!--PROFILE: Deleted element rpmMx.-->
+			<!--PROFILE: Deleted element rpmMn.-->
+			<!--PROFILE: Deleted element rpmAvDh.-->
+			<xsd:element name="ropAv" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Average rate of penetration through Interval.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="ropMx" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Maximum rate of penetration through Interval.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!--PROFILE: Deleted element ropMn.-->
+			<!--PROFILE: Deleted element wobAv.-->
+			<!--PROFILE: Deleted element wobMx.-->
+			<!--PROFILE: Deleted element wobMn.-->
+			<!--PROFILE: Deleted element wobAvDh.-->
+			<!--PROFILE: Deleted element reasonTrip.-->
+			<!--PROFILE: Deleted element objectiveBha.-->
+			<!--PROFILE: Deleted element aziTop.-->
+			<!--PROFILE: Deleted element aziBottom.-->
+			<!--PROFILE: Deleted element inclStart.-->
+			<!--PROFILE: Deleted element inclMx.-->
+			<!--PROFILE: Deleted element inclMn.-->
+			<!--PROFILE: Deleted element inclStop.-->
+			<!--PROFILE: Deleted element tempMudDhMx.-->
+			<!--PROFILE: Deleted element presPumpAv.-->
+			<!--PROFILE: Deleted element flowrateBit.-->
+			<!--PROFILE: Deleted element comments.-->
+			<!--PROFILE: Deleted element extensionNameValue.-->
+			<xsd:element name="mdHoleMadeRun" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth of hole made current run.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="hrsDrilledRun" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Hours used on current run.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="mdTotHoleMade" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth made totally.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="totHrsDrilled" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Hours drilled totally.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+		</xsd:sequence>
+		<!--Unused: Deleted element attgrp_uid. -->
+	</xsd:complexType>
+	<!-- END Added 22/02 - 2011 -->
+
 	<!-- Added 07/02 - 2011 -->
 	<!-- Cement job -->
@@ -476,5 +452,5 @@
 			<!-- Profile: Deleted element flowrateDisplaceMx -->
 			<!-- Profile: Deleted element presDisplace -->
-			<xsd:element name="volReturns" type="witsml:volumeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="volReturns" type="witsml:volumeMeasureCubicMetre" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Volume of returns.</xsd:documentation>
@@ -510,5 +486,5 @@
 			<!-- Profile: Deleted element presSqueezeHeld -->
 			<!-- Profile: Deleted element presSqueeze -->
-			<xsd:element name="eTimPresHeld" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="eTimPresHeld" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Time pressure held.</xsd:documentation>
@@ -562,5 +538,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="floatFailed" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="floatFailed" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Float Failed? Values are "true" (or "1") and "false" (or "0").</xsd:documentation>
@@ -578,4 +554,9 @@
 					<xsd:documentation>Casing string being rotated. Values are "true(1) and "false"(0).</xsd:documentation>
 					<!-- Missing: Added element rotated -->
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="cementingFluid" type="witsml:cs_cementingFluid" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831397">
+				<xsd:annotation>
+					<xsd:documentation>Information about a bit run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -639,5 +620,5 @@
 			</xsd:element>
 			<!-- Profile: Deleted element fluidIndex -->
-			<xsd:element name="descFluid" type="witsml:shortDescriptionString" minOccurs="0" maxOccurs="1">
+			<xsd:element name="descFluid" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Fluid description.</xsd:documentation>
@@ -651,5 +632,5 @@
 			<!-- Profile: Deleted element volWater -->
 			<!-- Profile: Deleted element volCement -->
-			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasureUsGallonsPerSack94" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Mix Water Ratio.</xsd:documentation>
@@ -666,5 +647,5 @@
 			</xsd:element>
 			<!-- Profile: Deleted element solidVolumeFraction -->
-			<xsd:element name="volPumped" type="witsml:volumeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="volPumped" type="witsml:volumeMeasureCubicMetre" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Volume Pumped.</xsd:documentation>
@@ -679,5 +660,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="yp" type="witsml:specificVolumeMeasureCubicFeetPer94PoundSack" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
@@ -708,5 +689,5 @@
 			<!-- Profile: Deleted element ratioConstGasMethodEnd -->
 			<!-- Profile: Deleted element densConstGasFoam -->
-			<xsd:element name="eTimThickening" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="eTimThickening" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Test thickening time.</xsd:documentation>
@@ -2229,22 +2210,4 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="casingType" type="witsml:casingTypes" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>The type of casing (e.g. top, intermediate, production).</xsd:documentation>
-					<!-- Missing: Added element casingType -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="dTimRun" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Run date and time.</xsd:documentation>
-					<!-- Missing: Added element dTimRun -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="description" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>description of run.</xsd:documentation>
-					<!-- Missing: Added element description -->
-				</xsd:annotation>
-			</xsd:element>
 			<xsd:element name="id" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -2262,5 +2225,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="grade" type="witsml:grade_CHECK" minOccurs="0" maxOccurs="1">
+			<xsd:element name="grade" type="witsml:str32" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Nominal grade.</xsd:documentation>
@@ -2268,5 +2231,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="connection" type="witsml:connection_CHECK" minOccurs="0" maxOccurs="1">
+			<xsd:element name="connection" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Nominal connection.</xsd:documentation>
@@ -2288,4 +2251,9 @@
 				<xsd:annotation>
 					<xsd:documentation>The measured depth of the bottom of the tubular.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage">
+				<xsd:annotation>
+					<xsd:documentation>Information about a casing_liner_tubing run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -2297,5 +2265,107 @@
 		<!-- Unused: deleted element attgrp_uid -->
 	</xsd:complexType>
+	
+	<xsd:complexType name="cs_stimJobStage">
+	<xsd:annotation>
+		<xsd:documentation>Job stage for a well stimulation treatment, where one or more stages are part     of a flow path, one or more flow paths are part of a treatment, and one or more      treatments are part of a job.</xsd:documentation>
+		<xsd:appinfo>Modified-in-version=1.4.1, By-issue=W-CR-010, Change=Added</xsd:appinfo>
+	</xsd:annotation>
+	<xsd:sequence>
+		<xsd:element name="kind" type="witsml:StimStageType" minOccurs="1" maxOccurs="1">
+			<xsd:annotation>
+				<xsd:documentation>The type of stage for the stimulation job.</xsd:documentation>
+			</xsd:annotation>
+		</xsd:element>
+		<!-- Profile: deleted element name. -->
+		<xsd:element name="description" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
+			<xsd:annotation>
+				<xsd:documentation>A short description of the stage.</xsd:documentation>
+			</xsd:annotation>
+		</xsd:element>
+		<!-- Profile: deleted element number. -->
+		<xsd:element name="dTimStart" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
+			<xsd:annotation>
+				<xsd:documentation>Date time of start of this stimulation stage.</xsd:documentation>
+			</xsd:annotation>
+		</xsd:element>
+		<!-- Profile: deleted element dTimEnd.-->
+		<!-- Profile: deleted element pumpTime. -->
+		<!-- Profile: deleted element startRateSurfaceLiquid. -->
+		<!-- Profile: deleted element endRateSurfaceLiquid. -->
+		<!-- Profile: deleted element avgRateSurfaceLiquid. -->
+		<!-- Profile: deleted element startRateSurfaceCO2. -->
+		<!-- Profile: deleted element endRateSurfaceCO2. -->
+		<!-- Profile: deleted element avgRateSurfaceCO2. -->
+		<!-- Profile: deleted element startStdRateSurfaceN2. -->
+		<!-- Profile: deleted element endStdRateSurfaceN2. -->
+		<!-- Profile: deleted element avgStdRateSurfaceN2. -->
+		<!-- Profile: deleted element startPresSurface. -->
+		<!-- Profile: deleted element endPresSurface. -->
+		<!-- Profile: deleted element averagePresSurface. -->
+		<!-- Profile: deleted element startPumpRateBottomhole. -->
+		<!-- Profile: deleted element endPumpRateBottomhole. -->
+		<!-- Profile: deleted element avgPumpRateBottomhole. -->
+		<!-- Profile: deleted element startPresBottomhole. -->
+		<!-- Profile: deleted element endPresBottomhole. -->
+		<!-- Profile: deleted element averagePresBottomhole. -->
+		<!-- Profile: deleted element startProppantConcSurface. -->
+		<!-- Profile: deleted element endProppantConcSurface. -->
+		<!-- Profile: deleted element avgProppantConcSurface. -->
+		<!-- Profile: deleted element startProppantConcBottomhole. -->
+		<!-- Profile: deleted element endProppantConcBottomhole. -->
+		<!-- Profile: deleted element avgProppantConcBottomhole. -->
+		<!-- Profile: deleted element startFoamRateN2. -->
+		<!-- Profile: deleted element endFoamRateN2. -->
+		<!-- Profile: deleted element startFoamRateCO2. -->
+		<!-- Profile: deleted element endFoamRateCO2. -->
+		<!-- Profile: deleted element fluidVolBase. -->
+		<!-- Profile: deleted element fluidVolSlurry. -->
+		<!-- Profile: deleted element slurryRateBegin. -->
+		<!-- Profile: deleted element slurryRateEnd. -->
+		<!-- Profile: deleted element proppantMassWellHead. -->
+		<!-- Profile: deleted element proppantMass. -->
+		<!-- Profile: deleted element maxPres. -->
+		<!-- Profile: deleted element maxSlurryRate. -->
+		<!-- Profile: deleted element maxWellheadRate. -->
+		<!-- Profile: deleted element maxN2StdRate. -->
+		<!-- Profile: deleted element maxCO2LiquidRate. -->
+		<!-- Profile: deleted element maxPropConc. -->
+		<!-- Profile: deleted element maxSlurryPropConc. -->
+		<!-- Profile: deleted element avgPropConc. -->
+		<!-- Profile: deleted element avgSlurryPropConc. -->
+		<!-- Profile: deleted element avgTemperature. -->
+		<!-- Profile: deleted element avgInternalPhaseFraction. -->
+		<!-- Profile: deleted element avgBaseFluidQuality. -->
+		<!-- Profile: deleted element avgN2BaseFluidQuality. -->
+		<!-- Profile: deleted element avgCO2BaseFluidQuality. -->
+		<!-- Profile: deleted element avgHydraulicPower. -->
+		<!-- Profile: deleted element avgBaseFluidRate. -->
+		<!-- Profile: deleted element avgSlurryRate. -->
+		<!-- Profile: deleted element avgWellheadRate. -->
+		<!-- Profile: deleted element avgN2StdRate. -->
+		<!-- Profile: deleted element avgCO2Rate. -->
+		<!-- Profile: deleted element baseFluidVol. -->
+		<!-- Profile: deleted element slurryVol. -->
+		<!-- Profile: deleted element wellheadVol. -->
+		<!-- Profile: deleted element maxPmaxPacPres. -->
+		<!-- Profile: deleted element maxPmaxWeaklinkPres. -->
+		<!-- Profile: deleted element maxGelRate. -->
+		<!-- Profile: deleted element maxOilRate. -->
+		<!-- Profile: deleted element maxAcidRate. -->
+		<!-- Profile: deleted element avgGelRate. -->
+		<!-- Profile: deleted element avgOilRate. -->
+		<!-- Profile: deleted element avgAcidRate. -->
+		<!-- Profile: deleted element gelVolume. -->
+		<!-- Profile: deleted element oilVolume. -->
+		<!-- Profile: deleted element acidVolume. -->
+		<!-- Profile: deleted element baseFluidBypassVol. -->
+		<!-- Profile: deleted element frictionFactor. -->
+		<!-- Profile: deleted element stageFluid. -->
+		<!-- Profile: deleted element extensionNameValue. -->
+	</xsd:sequence>
+	<!-- Unused: deleted element attgrp_uid -->
+</xsd:complexType>
 
+	
 	<!-- Tubular types -->
 	<xsd:simpleType name="tubularTypes">
@@ -2304,32 +2374,17 @@
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="c">
+			<xsd:enumeration value="Casing">
 				<xsd:annotation>
 					<xsd:documentation>Casing</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="l">
+			<xsd:enumeration value="Liner">
 				<xsd:annotation>
 					<xsd:documentation>Liner</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="t">
+			<xsd:enumeration value="Tubing">
 				<xsd:annotation>
 					<xsd:documentation>Tubing</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-			<xsd:enumeration value="p">
-				<xsd:annotation>
-					<xsd:documentation>Packer</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-			<xsd:enumeration value="oh">
-				<xsd:annotation>
-					<xsd:documentation>Open Hole</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-			<xsd:enumeration value="o">
-				<xsd:annotation>
-					<xsd:documentation>Other</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
@@ -2338,20 +2393,20 @@
 
 	<!-- Casing type -->
-	<xsd:simpleType name="casingTypes">
+	<xsd:simpleType name="StimStageType">
 		<xsd:annotation>
 			<xsd:documentation>The type of casing, used to determant which type of casing is used.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="t">
+			<xsd:enumeration value="Top">
 				<xsd:annotation>
 					<xsd:documentation>Top</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="i">
+			<xsd:enumeration value="Intermediate">
 				<xsd:annotation>
 					<xsd:documentation>Intermediate</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="p">
+			<xsd:enumeration value="Production">
 				<xsd:annotation>
 					<xsd:documentation>Production</xsd:documentation>
@@ -2423,5 +2478,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684395">
+			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684395">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element yp.-->
 				<xsd:annotation>
@@ -3358,4 +3413,9 @@
 					</xsd:annotation>
 				</xsd:element>
+				<xsd:element name="header" type="witsml:reportHeader" minOccurs="0" maxOccurs="1">
+					<xsd:annotation>
+						<xsd:documentation>Information about this report.</xsd:documentation>
+					</xsd:annotation>
+				</xsd:element>
 				<xsd:element name="wellCRS" type="witsml:cs_wellCRS" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
@@ -3379,4 +3439,14 @@
 					<xsd:annotation>
 						<xsd:documentation>Information about a bit.</xsd:documentation>
+					</xsd:annotation>
+				</xsd:element>
+				<xsd:element name="casing_liner_tubing" type="witsml:cs_stimTubular" minOccurs="0" maxOccurs="unbounded">
+					<xsd:annotation>
+						<xsd:documentation>Information about a bit run.</xsd:documentation>
+					</xsd:annotation>
+				</xsd:element>
+				<xsd:element name="cementStage" type="witsml:cs_cementStage" minOccurs="0" maxOccurs="unbounded">
+					<xsd:annotation>
+						<xsd:documentation>Information about a bit run.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
@@ -5483,5 +5553,15 @@
 	</xsd:complexType>
 	<!--UNUSED: Deleted type relativePowerMeasure.-->
-	<!--UNUSED: Deleted type specificVolumeMeasure.-->
+	<xsd:complexType name="specificVolumeMeasure">
+		<xsd:simpleContent>
+			<xsd:extension base="witsml:abstractMeasure">
+				<xsd:attribute name="uom" type="witsml:specificVolumeUom" use="required">
+					<xsd:annotation>
+						<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-86, Change=Changed-type-from:timeUom</xsd:appinfo>
+					</xsd:annotation>
+				</xsd:attribute>
+			</xsd:extension>
+		</xsd:simpleContent>
+	</xsd:complexType>
 	<!--UNUSED: Deleted type thermodynamicTemperatureMeasure.-->
 
@@ -5540,16 +5620,4 @@
 		</xsd:simpleContent>
 	</xsd:complexType>
-	<xsd:complexType name="anglePerTimeMeasure">
-		<xsd:simpleContent>
-			<xsd:extension base="witsml:abstractMeasure">
-				<xsd:attribute name="uom" type="witsml:anglePerTimeUom" use="required">
-					<xsd:annotation>
-						<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-86, Change=Changed-type-from:areaUom</xsd:appinfo>
-					</xsd:annotation>
-				</xsd:attribute>
-			</xsd:extension>
-		</xsd:simpleContent>
-	</xsd:complexType>
-
 	<xsd:complexType name="anglePerTimeMeasure">
 		<xsd:simpleContent>
@@ -5635,5 +5703,11 @@
 	<!--UNUSED: Deleted type AnglePerLengthUom.-->
 	<!--UNUSED: Deleted type AnglePerTimeUom.-->
-	<!--UNUSED: Deleted type AreaUom.-->
+	<!-- Added 22/02 - 2011 -->
+	<xsd:simpleType name="areaUom">
+		<xsd:restriction base="witsml:abstractUomEnum">
+			<xsd:enumeration value="in2"/>
+		</xsd:restriction>
+	</xsd:simpleType>
+	<!-- END Added 22/02 - 2011 -->
 	<!--UNUSED: Deleted type AreaPerAreaUom.-->
 
@@ -5675,4 +5749,5 @@
 			<!--PROFILE: Deleted enumeration value="dAPI".-->
 			<xsd:enumeration value="g/cm3"/>
+			<xsd:enumeration value="sg"/>
 			<!--PROFILE: Deleted enumeration value="g/dm3".-->
 			<!--PROFILE: Deleted enumeration value="g/galUK".-->
@@ -5815,9 +5890,4 @@
 		</xsd:simpleContent>
 	</xsd:complexType>
-	<xsd:simpleType name="massPerLengthUom">
-		<xsd:restriction base="witsml:abstractUomEnum">
-			<xsd:enumeration value="lbm/ft"/>
-		</xsd:restriction>
-	</xsd:simpleType>
 
 	<xsd:simpleType name="massPerLengthUomPoundsPerFoot">
@@ -5829,5 +5899,5 @@
 		<xsd:simpleContent>
 			<xsd:extension base="witsml:abstractMeasure">
-				<xsd:attribute name="uom" type="witsml:massPerLengthUomPoundsMassPerFoot" use="required"/>
+				<xsd:attribute name="uom" type="witsml:massPerLengthUomPoundsPerFoot" use="required"/>
 			</xsd:extension>
 		</xsd:simpleContent>
